org.apache.ivy.ant

## Class IvyCachePath

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.ivy.ant.IvyTask
      - - org.apache.ivy.ant.IvyPostResolveTask
        - - org.apache.ivy.ant.IvyCacheTask
          - - org.apache.ivy.ant.IvyCachePath

All Implemented Interfaces:
  java.lang.Cloneable

    public class IvyCachePath
    extends IvyCacheTask

Creates an ant path consisting in all artifacts found during a resolve.

### Field Summary

### Fields inherited from class org.apache.ivy.ant.IvyTask

`ANT_PROJECT_CONTEXT_KEY`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`IvyCachePath()`

### Method Summary

Methods
`protected void` `addToPath(org.apache.tools.ant.types.Path path, java.io.File f)`
`void` `doExecute()` The real logic of task execution after project has been set in the context.
`java.lang.String` `getPathid()`
`void` `setId(java.lang.String id)` Deprecated. use setPathid instead
`void` `setOsgi(boolean osgi)`
`void` `setPathid(java.lang.String id)`

### Methods inherited from class org.apache.ivy.ant.IvyCacheTask

`getArtifactReports`

### Methods inherited from class org.apache.ivy.ant.IvyPostResolveTask

`createConflict, createDependency, createExclude, ensureResolved, getArtifactFilter, getBranch, getConf, getConfsToResolve, getConfsToResolve, getFile, getLog, getModule, getOrganisation, getResolvedModuleId, getResolvedMrid, getResolvedReport, getResolveId, getResolveMode, getRevision, getType, isChanging, isHaltonfailure, isInline, isKeep, isRefresh, isTransitive, isUseOrigin, prepareAndCheck, setBranch, setCache, setChanging, setConf, setFile, setHaltonfailure, setInline, setKeep, setLog, setModule, setOrganisation, setRefresh, setResolveId, setResolveMode, setRevision, setTransitive, setType, setupResolve, setUseOrigin`

### Methods inherited from class org.apache.ivy.ant.IvyTask

`cacheAttributeNotSupported, doValidate, execute, finalizeTask, getIvyInstance, getProperty, getProperty, getProperty, getProperty, getPubDate, getResolvedConfigurations, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedReport, getSettings, getSettingsRef, isValidate, mergeConfs, prepareTask, setResolved, setResolved, setSettingsRef, setValidate, splitConfs, toString`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IvyCachePath

    public IvyCachePath()

### Method Detail

#### getPathid

    public java.lang.String getPathid()

#### setPathid

    public void setPathid(java.lang.String id)

#### setOsgi

    public void setOsgi(boolean osgi)

#### setId

    @Deprecated
    public void setId(java.lang.String id)

Deprecated. use setPathid instead

Parameters:
  `id` -

#### doExecute

    public void doExecute()
                   throws org.apache.tools.ant.BuildException

Description copied from class: `IvyTask`
The real logic of task execution after project has been set in the context. MUST be implemented by subclasses

Specified by:
  `doExecute` in class `IvyTask`
Throws:
  `org.apache.tools.ant.BuildException`

#### addToPath

    protected void addToPath(org.apache.tools.ant.types.Path path,
                 java.io.File f)
                      throws java.lang.Exception

Throws:
  `java.lang.Exception`